### Function

# PangoFc SubstituteFunc

since: 1.0

#### Declaration

    void
    (* PangoFcSubstituteFunc) (
      FcPattern* pattern,
      gpointer data
    )

#### Description [src]

Function type for doing final config tweaking on prepared `FcPattern`s.

Available since: 1.0

#### Parameters

`pattern`

  Type: `FcPattern`

  The FcPattern to tweak.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.